import 'package:json_annotation/json_annotation.dart';

part 'ledger.g.dart';


@JsonSerializable()
class LedgerEndpointDTO {
  @JsonKey(name: 'ledger_account_ref')
  final String ledgerAccountRef;

  @JsonKey(name: 'contra_ledger_account_ref')
  final String? contraLedgerAccountRef;

  const LedgerEndpointDTO({
    required this.ledgerAccountRef,
    this.contraLedgerAccountRef,
  });

  factory LedgerEndpointDTO.fromJson(Map<String, dynamic> json) => _$LedgerEndpointDTOFromJson(json);
  Map<String, dynamic> toJson() => _$LedgerEndpointDTOToJson(this);
}
